Packages - Bug #1853

[kobodeluxe]: segfault on startup
2018-06-24 05:37 AM - bill-auger

Status: not-a-bug % Done: 0%
Priority: broken

Assignee:

Category:

Description

this is in [extra]

can anyone else verify this on parabola ?
maybe someone can verify this on an arch system to determine if the problem is specific to parabola or forward this bug upstream

the program launches and has both visuals and sound on the demo screen but segfaults after about 5 seconds

$ kobodl

Application path: '.'

[44] Could not get double buffered display.

[44] Shadow buffer requested; relying on SDL's shadow buffer.
[224] audio.c: Warning: Requested 1024 samplebuffer, but got 512 samples.
[1808] Loading "Trancel"...

[1808] Copyright (C) David Olofson, 2002.

[1954] Done!

[1955] Loading "Test2"...

[1955] Copyright (C) David Olofson, 2002.

[1955] Done!

[1963] Waveform info:

[1963] ( 0: MIDI <Unknown>, 120 PPOQN, 1 events)

[1963] 1: MONO1l6 ONESHOT, 32000 Hz, 64000 bytes (1.00 s)
[1963] 2: MONO16 ONESHOT, 24000 Hz, 144000 bytes (3.00 s)
[1963] 3: MONO16 ONESHOT, 32000 Hz, 6400 bytes (0.10 s)
[1963] 4: MONO16 ONESHOT, 16000 Hz, 12800 bytes (0.40 s)
[1963] 5: MONO1l6 ONESHOT, 16000 Hz, 22400 bytes (0.70 s)
[1963] 6: MONOl6 ONESHOT, 16000 Hz, 32000 bytes (1.00 s)
[1963] 7: MONO16 ONESHOT, 16000 Hz, 32000 bytes (1.00 s)
[1963] 8: MONO16 ONESHOT, 16000 Hz, 32000 bytes (1.00 s)
[1963] 9: MONOl6 ONESHOT, 16000 Hz, 32000 bytes (1.00 s)
[1963] 10: MONO16 ONESHOT, 24000 Hz, 192000 bytes (4.00 s)
[1963] 11: MONO16 ONESHOT, 32000 Hz, 48000 bytes (0.75 s)
[1963] 12: MONO1l6 ONESHOT, 32000 Hz, 48000 bytes (0.75 s)
[1963] 13: MONO1l6 ONESHOT, 32000 Hz, 48000 bytes (0.75 s)
[1963] 14: MONOlé6 ONESHOT, 24000 Hz, 48000 bytes (1.00 s)
[1963] 16: MONO16 ONESHOT, 33488 Hz, 66976 bytes (1.00 s)
[1963] 30: MONOl6 ONESHOT, 33488 Hz, 66976 bytes (1.00 s)
[1963] 32: MONOl6 LOOPED, 33488 Hz, 256 bytes (0.00 s)
[1963] 50: MONO16 ONESHOT, 32000 Hz, 64000 bytes (1.00 s)
[1963] 55: MONO16 ONESHOT, 32000 Hz, 64000 bytes (1.00 s)
[1963] 58: MONO16 ONESHOT, 8000 Hz, 16000 bytes (1.00 s)
[1963] 60: MONO16 ONESHOT, 32000 Hz, 16000 bytes (0.25 s)
[1963] 63: MONO16 ONESHOT, 32000 Hz, 32000 bytes (0.50 s)
[1963] 74: MONOlo6 LOOPED, 33488 Hz, 66976 bytes (1.00 s)
[1963] 84: MONO16 ONESHOT, 32000 Hz, 256000 bytes (4.00 s)
[1963] 86: MONO16 ONESHOT, 32000 Hz, 256000 bytes (4.00 s)
[1963] 87: MONO16 ONESHOT, 16000 Hz, 96000 bytes (3.00 s)
[1963] 102: MONO16 ONESHOT, 16000 Hz, 32000 bytes (1.00 s)
[1963] 103: MONO16 ONESHOT, 32000 Hz, 6400 bytes (0.10 s)
[1963] 104: MONO16 ONESHOT, 16000 Hz, 1600 bytes (0.05 s)
[1963] 105: MONO16 ONESHOT, 16000 Hz, 1600 bytes (0.05 s)
[1963] 106: MONO16 ONESHOT, 16000 Hz, 1600 bytes (0.05 s)
[1963] 107: MONO16 ONESHOT, 16000 Hz, 16000 bytes (0.50 s)
[1963] 108: MONO16 ONESHOT, 32000 Hz, 32000 bytes (0.50 s)
[1963] 109: MONO16 ONESHOT, 32000 Hz, 6400 bytes (0.10 s)
[2588] No hiscore entries found!
Segmentation fault
History

#1 - 2018-06-24 09:14 AM - libreuser

The same here (GNU Parabola OS)

#2 - 2022-05-08 08:59 PM - Zuss

It appears to have resolved itself, launches without issue on v0.5.1

#3 - 2022-05-14 12:32 PM - Zuss

- Status changed from open to not-a-bug

2024-04-20

22



http://www.tcpdf.org

